* {
    margin: 0; padding: 0;
}

img{
    width: 10%;
    min-width: 150px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 15px;
}

h2 {
    text-align: center;
    margin-bottom: 15px;
}

ul {
    text-align: center;
    margin-bottom: 25px;
}

li {
    margin-bottom: 10px;
}

.saveBox {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    margin-bottom: 15px;
}

.undoBox {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    margin-bottom: 15px;
}

.undoButton {
    margin-right: 15px;
}

#shoppingListTable {
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 30px;
    text-align: center;
    table-layout: fixed;
}

table, th, td{
    border: 1px outset; 
    overflow-x: auto;}

th, td{
    padding: 10px;
}

/*table tr td:nth-child(4) button {
    color:red;
    width: 5px;
    overflow: hidden;
}*/

#deleteButton {
    background-color: #f39c12;
    color:white;
    border: 1px solid #ddd;
    padding: 3px;
    width: 35px;
    cursor: pointer;
}

/*.material-symbols-outlined {
    font-size: 15px;
}*/

/*input[type="text"] {
    max-width: 100px;
}*/

#itemName {
    width: 100%;
    border: 1px solid grey;
    text-align: center;
    font-size: 15px;
}

#quantity {
    width: 100%;
    border: 1px solid grey;
    text-align: center;
    font-size: 15px;
}

#unit {
    width: 100%;
    border: 1px solid grey;
    text-align: center;
    font-size: 15px;
}

#checkMark {
    display: none;
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

a:link {
    text-decoration: none;
}

@media screen and (max-width: 386px) {
    th, td{
        padding: 5px;
    }
}

@media screen and (max-width: 346px) {
    th, td{
        padding: 2px;
    }
}

@media screen and (max-width: 322px) {
    th, td{
        padding: 1px;
    }
}

@media screen and (max-height: 500px) {
    #checkMark {
        display: none;
        margin: 0;
        position: absolute;
        top: 75%;
        margin-left: auto;
        margin-right: auto;
    }
}

/*@media screen and (max-height: ()) {
        
        
}*/